POST /orders/{order_id}Ask AIpost https://api.aevo.xyz/orders/{order_id}Edits an existing order.Path Paramsorder_idstringrequiredOrder ID is the hash of the order payloadBody ParamsinstrumentintegerrequiredInstrument ID number.makerstringrequiredAccount's Ethereum address.is_buybooleanrequiredTrue for long order, false for short order.truefalseamountstringrequiredNumber of contracts. In 6 decimals fixed number.limit_pricestringrequiredOrder limit price. In 6 decimals fixed number.saltstringrequiredA randomly generated number to guarantee transaction uniqueness. In 6 decimals fixed number.signaturestringrequiredHash of order payload signature signed by the account.timestampstringrequiredTimestamp used in order signing in UNIX timestamp in seconds.post_onlybooleanTrue for post-only maker orders, false for standard orders.falsetruefalsereduce_onlybooleanTrue for reduce-only orders, false for standard orders.falsetruefalsetime_in_forcestringenumCan be set to GTC or IOC (GTC is set by default)GTCIOCAllowed:GTCIOCmmpbooleanFlag to include order into MMP.falsetruefalsestopstringenumType of stop order.STOP_LOSSTAKE_PROFITAllowed:STOP_LOSSTAKE_PROFITtriggerstringThe price to trigger the stop order at. stop is required when trigger is specified.close_positionbooleanIs order a close position TPSL order.truetruefalsepartial_positionbooleanIs order a partial position TPSL order.falsetruefalseparent_order_idstringOrder ID of the order which when cancelled, cancels this order as wellperps_plusbooleanWhether this options order is part of a perps plus positionfalsetruefalseself_trade_preventionstringenumCan be set to EXPIRE_NONE, EXPIRE_MAKER OR EXPIRE_TAKER (EXPIRE_NONE is set by default)EXPIRE_NONEEXPIRE_TAKEREXPIRE_MAKERAllowed:EXPIRE_NONEEXPIRE_TAKEREXPIRE_MAKERResponses 200New order created. 400Bad request. 401Unauthorized. 429Rate limit exceeded. 500Internal server error.Updated 7 months ago